# Set up the directories.

mkdir -pv ReadMappingsLocal/undiff
mkdir -pv ReadMappingsLocal/d5np
mkdir -pv Output/undiff
mkdir -pv Output/d5np


# Make a local cache of the subset of reads we care about,
# for faster processing later.

# UNDIFF cells:

python readsToStruct.py all.base.conf fetchReads.base.conf fetchReads.undiff.conf

rm -fv ReadMappingsLocal/undiff/all.reads.ss.bed
rm -fv ReadMappingsLocal/undiff/all.reads.ssbg.bed
cat ReadMappingsLocal/undiff/*.ss.bed   > ReadMappingsLocal/undiff/all.reads.ss.bed
cat ReadMappingsLocal/undiff/*.ssbg.bed > ReadMappingsLocal/undiff/all.reads.ssbg.bed

# D5NP cells:

python readsToStruct.py all.base.conf fetchReads.base.conf fetchReads.d5np.conf

rm -fv ReadMappingsLocal/d5np/all.reads.ss.bed
rm -fv ReadMappingsLocal/d5np/all.reads.ssbg.bed
cat ReadMappingsLocal/d5np/*.ss.bed   > ReadMappingsLocal/d5np/all.reads.ss.bed
cat ReadMappingsLocal/d5np/*.ssbg.bed > ReadMappingsLocal/d5np/all.reads.ssbg.bed


# Run the core FragSeq algorithm and get wonderful data!

# UNDIFF cells:
python readsToStruct.py all.base.conf runTings.base.conf runTings.undiff.conf

# D5NP cells:
python readsToStruct.py all.base.conf runTings.base.conf runTings.d5np.conf

